// PROPER MOD - PROPER_World - by the-F and Q (contact_PROPER_MOD@web.de)

// PROPER_World_Configuration

class Ambient
{
	class BigBirds
	{
		radius = 300; // 300
		cost = "((1 + forest + trees) - ((2 * rain)) - houses) * (1 - night) * (1 - sea)";
	//	cost = "((1 + forest + trees) - ((2 * rain)) - houses) * (1 - night) * (1 - sea)";
		
		class Species
		{
			class Hawk
			{
				probability = 0.2;
			//	probability = 0.2;
				cost = 1;
			//	cost = 1;
			};
		};
	};
	class Birds
	{
		radius = 170; // 170
		cost = "(1 - night) * ((1 + (8 * sea)) - (6 * rain))";
	//	cost = "(1 - night) * ((1 + (8 * sea)) - (6 * rain))";
		
		class Species
		{
			class Seagull
			{
				probability = 0.2;
			//	probability = 0.2;
				cost = 1;
			//	cost = 1;
			};
		};
	};
	class BigInsects
	{
		radius = 20; // 20
		cost = "(5 - (2 * houses)) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
	//	cost = "(5 - (2 * houses)) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
		
		class Species
		{
			class DragonFly
			{
				probability = "0.6 - (meadow * 0.5) + (forest * 0.4)";
			//	probability = "0.6 - (meadow * 0.5) + (forest * 0.4)";
				cost = 1;
			//	cost = 1;
			};
			
			class ButterFly
			{
				probability = "0.4 + (meadow * 0.5) - (forest * 0.4)";
			//	probability = "0.4 + (meadow * 0.5) - (forest * 0.4)";
				cost = 1;
			//	cost = 1;
			};
		};
	};
	class BigInsectsAquatic
	{
		radius = 20; // 20
		cost = "(3 * sea) * (1 - night) * (1 - rain) * (1 - windy)";
	//	cost = "(3 * sea) * (1 - night) * (1 - rain) * (1 - windy)";
		
		class Species
		{
			class DragonFly
			{
				probability = 1;
			//	probability = 1;
				cost = 1;
			//	cost = 1;
			};
		};
	};
	class WindClutter
	{
		radius = 10; // 10
		cost = "((20 - 5 * rain) * (3 * (windy factor [0.2, 0.5]))) * (1 - sea)";
	//	cost = "((20 - 5 * rain) * (3 * (windy factor [0.2, 0.5]))) * (1 - sea)";
		
		class Species
		{
			class FxWindGrass1
			{
				probability = "0.4 - 0.2 * hills - 0.2 * trees";
			//	probability = "0.4 - 0.2 * hills - 0.2 * trees";
				cost = 1;
			//	cost = 1;
			};
			
			class FxWindGrass2
			{
				probability = "0.4 - 0.2 * hills - 0.2 * trees";
			//	probability = "0.4 - 0.2 * hills - 0.2 * trees";
				cost = 1;
			//	cost = 1;
			};
			
			class FxWindRock1
			{
				probability = "0.4 * hills";
			//	probability = "0.4 * hills";
				cost = 1;
			//	cost = 1;
			};
			
			class FxWindLeaf1
			{
				probability = "0.2 * trees";
			//	probability = "0.2 * trees";
				cost = 1;
			//	cost = 1;
			};
			
			class FxWindLeaf2
			{
				probability = "0.1 * trees + 0.2";
			//	probability = "0.1 * trees + 0.2";
				cost = 1;
			//	cost = 1;
			};
			
			class FxWindLeaf3
			{
				probability = "0.1 * trees";
			//	probability = "0.1 * trees";
				cost = 1;
			//	cost = 1;
			};
		};
	};
	class NoWindClutter
	{
		radius = 15; // 15
		cost = "(20 * (windy factor [0.1, 0.2])) * meadow * (1 - rain) * (1 - sea) * (1 - forest) * (1 - houses)";
	//	cost = "(20 * (windy factor [0.1, 0.2])) * meadow * (1 - rain) * (1 - sea) * (1 - forest) * (1 - houses)";
		
		class Species
		{
			class FxWindPollen1
			{
				probability = 1;
			//	probability = 1;
				cost = 1;
			//	cost = 1;
			};
		};
	};
	class SmallInsects
	{
		radius = 3; // 3
		cost = "(12 - 8 * hills) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
	//	cost = "(12 - 8 * hills) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
		
		class Species
		{
			class HouseFly
			{
				probability = "deadBody + (1 - deadBody) * (0.5 - forest * 0.1 - meadow * 0.2)";
			//	probability = "deadBody + (1 - deadBody) * (0.5 - forest * 0.1 - meadow * 0.2)";
				cost = 1;
			//	cost = 1;
			};
			
			class HoneyBee
			{
				probability = "(1 - deadBody) * (0.5 - forest * 0.1 + meadow * 0.2)";
			//	probability = "(1 - deadBody) * (0.5 - forest * 0.1 + meadow * 0.2)";
				cost = 1;
			//	cost = 1;
			};
			
			class Mosquito
			{
				probability = "(1 - deadBody) * (0.2 * forest)";
			//	probability = "(1 - deadBody) * (0.2 * forest)";
				cost = 1;
			//	cost = 1;
			};
		};
	};
	class NightInsects
	{
		radius = 3; // 3
		cost = "(9 - 8 * hills) * night * (1 - rain) * (1 - sea) * (1 - windy)";
	//	cost = "(9 - 8 * hills) * night * (1 - rain) * (1 - sea) * (1 - windy)";
		
		class Species
		{
			class Mosquito
			{
				probability = 1;
			//	probability = 1;
				cost = 1;
			//	cost = 1;
			};
		};
	};
};